# Uses of Enum
com.databricks.jdbc.api.impl.arrow.ChunkStatus

Packages that use ChunkStatus
Package
Description
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.api.impl.arrow.incubator

## Uses of ChunkStatus in com.databricks.jdbc.api.impl.arrow

Subclasses with type arguments of type ChunkStatus in com.databricks.jdbc.api.impl.arrow
Modifier and Type
Class
Description
`enum`
`ChunkStatus`
Represents the lifecycle states of a data chunk during the download and processing pipeline.
Methods in com.databricks.jdbc.api.impl.arrow that return ChunkStatus
Modifier and Type
Method
Description
`ChunkStatus`
ArrowResultChunkStateMachine.`getCurrentStatus()`
Returns the current state of the chunk.
`ChunkStatus`
AbstractArrowResultChunk.`getStatus()`
Returns the current status of the chunk.
`static ChunkStatus`
ChunkStatus.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ChunkStatus[]`
ChunkStatus.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.databricks.jdbc.api.impl.arrow that return types with arguments of type ChunkStatus
Modifier and Type
Method
Description
`Set<ChunkStatus>`
ArrowResultChunkStateMachine.`getValidTargetStates()`
Returns a set of valid target states from the current state.
`Set<ChunkStatus>`
ChunkStatus.`getValidTransitions()`
Returns the set of valid target states from this state.
Methods in com.databricks.jdbc.api.impl.arrow with parameters of type ChunkStatus
Modifier and Type
Method
Description
`boolean`
ChunkStatus.`canTransitionTo(ChunkStatus targetStatus)`
Checks if a transition to the target state is valid from this state.
`protected abstract void`
AbstractArrowResultChunk.`handleFailure(Exception exception, ChunkStatus failedStatus)`
Handles a failure during the download or processing of this chunk.
`protected void`
ArrowResultChunk.`handleFailure(Exception exception, ChunkStatus failedStatus)`
Handles a failure during the download or processing of this chunk.
`boolean`
ArrowResultChunkStateMachine.`isValidTransition(ChunkStatus targetStatus)`
Checks if a transition to the target state is valid from the current state.
`protected void`
AbstractArrowResultChunk.`setStatus(ChunkStatus targetStatus)`
Updates the status of the chunk.
`void`
ArrowResultChunkStateMachine.`transition(ChunkStatus targetStatus)`
Attempts to transition to the target state.
`ArrowResultChunk.Builder`
ArrowResultChunk.Builder.`withChunkStatus(ChunkStatus status)`
Constructors in com.databricks.jdbc.api.impl.arrow with parameters of type ChunkStatus
Modifier
Constructor
Description
`protected`
`AbstractArrowResultChunk(long numRows, long rowOffset, long chunkIndex, StatementId statementId, ChunkStatus initialStatus, ExternalLink chunkLink, Instant expiryTime, int chunkReadyTimeoutSeconds)`
``
`ArrowResultChunkStateMachine(ChunkStatus initialStatus, long chunkIndex, StatementId statementId)`

## Uses of ChunkStatus in com.databricks.jdbc.api.impl.arrow.incubator

Methods in com.databricks.jdbc.api.impl.arrow.incubator with parameters of type ChunkStatus
Modifier and Type
Method
Description
`protected void`
ArrowResultChunkV2.`handleFailure(Exception exception, ChunkStatus failedStatus)`